# Class ColumnsMetamapGroup

java.lang.Object
uk.ac.starlink.datanode.nodes.MetamapGroup
uk.ac.starlink.datanode.nodes.ValueInfoMetamapGroup
uk.ac.starlink.datanode.nodes.ColumnsMetamapGroup

public class ColumnsMetamapGroup extends ValueInfoMetamapGroup
A MetamapGroup which describes the columns of a StarTable.

Author:
  Mark Taylor (Starlink)

## Field Summary

### Fields inherited from class ValueInfoMetamapGroup

`CLASS_KEY, DESCRIPTION_KEY, INDEX_KEY, NAME_KEY, NULLABLE_KEY, SHAPE_KEY, UCD_DESCRIPTION_KEY, UCD_KEY, UNITS_KEY, VALUE_KEY`

## Constructor Summary

Constructors
Constructor
Description
`ColumnsMetamapGroup(uk.ac.starlink.table.StarTable startable)`

## Method Summary

### Methods inherited from class MetamapGroup

`addEntry, getEntry, getKeyOrder, getKnownKeys, getMetamaps, getNumMaps, hasEntry, setKeyOrder`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColumnsMetamapGroup

public ColumnsMetamapGroup(uk.ac.starlink.table.StarTable startable)